Skip to main content
GET
Get a skill

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

spaceId
required

ID of the space the skill belongs to.

Required string length: 2 - 6
skillId
string<uuid>
required

Unique ID of the skill.

Response

Skill returned successfully.

id
string<uuid>
required

Unique ID of the skill. Use it to attach the skill to agents.

spaceId
required

ID of the space the skill belongs to.

Required string length: 2 - 6
name
string
required
description
string
required
slug
string
required

URL-safe, immutable identifier generated from the initial name.

source
enum<string>
required

How the skill was created. Skills created via this API have source "manual".

Available options:
manual,
upload,
github,
ai_generated
sourceUrl
string | null
required

Source URL for skills imported from GitHub, null otherwise.

createdAt
string
required
updatedAt
string
required
instructions
string | null
required

Markdown instructions from the body of the skill's SKILL.md file. null when the file cannot be read.